[116630] users/devans/GNOME-3/unstable/dports/gnome/gedit
devans at macports.org
devans at macports.org
Fri Jan 31 12:46:54 PST 2014
Revision: 116630
https://trac.macports.org/changeset/116630
Author: devans at macports.org
Date: 2014-01-31 12:46:54 -0800 (Fri, 31 Jan 2014)
Log Message:
-----------
GNOME-3/unstable/dports: gedit, sync with stable, update patch files.
Modified Paths:
--------------
users/devans/GNOME-3/unstable/dports/gnome/gedit/Portfile
users/devans/GNOME-3/unstable/dports/gnome/gedit/files/patch-configure.diff
users/devans/GNOME-3/unstable/dports/gnome/gedit/files/patch-gedit-gedit-app.c.diff
Added Paths:
-----------
users/devans/GNOME-3/unstable/dports/gnome/gedit/files/autogen.sh
Property Changed:
----------------
users/devans/GNOME-3/unstable/dports/gnome/gedit/
Property changes on: users/devans/GNOME-3/unstable/dports/gnome/gedit
___________________________________________________________________
Modified: svn:mergeinfo
- /users/devans/GNOME-3/stable/dports/gnome/gedit:114069-116236
+ /trunk/dports/gnome/gedit:108265-116598
/users/devans/GNOME-3/stable/dports/gnome/gedit:114069-116629
Modified: users/devans/GNOME-3/unstable/dports/gnome/gedit/Portfile
===================================================================
--- users/devans/GNOME-3/unstable/dports/gnome/gedit/Portfile 2014-01-31 19:55:02 UTC (rev 116629)
+++ users/devans/GNOME-3/unstable/dports/gnome/gedit/Portfile 2014-01-31 20:46:54 UTC (rev 116630)
@@ -23,7 +23,13 @@
depends_build port:pkgconfig \
port:intltool \
- port:itstool
+ port:itstool \
+ port:yelp-tools \
+ port:automake \
+ port:autoconf \
+ port:libtool \
+ port:gnome-common \
+ port:gtk-doc
depends_lib port:desktop-file-utils \
port:gnome-icon-theme \
@@ -49,6 +55,14 @@
patchfiles patch-configure.diff \
patch-gedit-gedit-app.c.diff
+# use autogen.sh from upstream git to update intltool.m4 using intltoolize and autoreconf
+
+post-patch {
+ xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
+
+configure.cmd ./autogen.sh
+
configure.cflags-append \
-Wno-format-nonliteral
@@ -57,10 +71,6 @@
--disable-schemas-compile \
--disable-silent-rules
-# libpeas is not universal
-
-universal_variant no
-
# minimum python version is 3.2.3
variant python32 description {Use python 3.2} {
Copied: users/devans/GNOME-3/unstable/dports/gnome/gedit/files/autogen.sh (from rev 116629, users/devans/GNOME-3/stable/dports/gnome/gedit/files/autogen.sh)
===================================================================
--- users/devans/GNOME-3/unstable/dports/gnome/gedit/files/autogen.sh (rev 0)
+++ users/devans/GNOME-3/unstable/dports/gnome/gedit/files/autogen.sh 2014-01-31 20:46:54 UTC (rev 116630)
@@ -0,0 +1,42 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+OLDDIR=`pwd`
+cd $srcdir
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
+fi
+
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+ echo "*** No intltoolize found, please install the intltool package ***"
+ exit 1
+fi
+
+GNOMEDOC=`which yelp-build`
+if test -z $GNOMEDOC; then
+ echo "*** The tools to build the documentation are not found,"
+ echo " please intall the yelp-tools package ***"
+ exit 1
+fi
+
+GTKDOCIZE=`which gtkdocize`
+if test -z $GTKDOCIZE; then
+ echo "*** No GTK-Doc found, please install it ***"
+ exit 1
+fi
+
+git submodule update --init --recursive
+
+gtkdocize || exit $?
+autopoint --force || exit $?
+AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
+
+cd $OLDDIR
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
Modified: users/devans/GNOME-3/unstable/dports/gnome/gedit/files/patch-configure.diff
===================================================================
--- users/devans/GNOME-3/unstable/dports/gnome/gedit/files/patch-configure.diff 2014-01-31 19:55:02 UTC (rev 116629)
+++ users/devans/GNOME-3/unstable/dports/gnome/gedit/files/patch-configure.diff 2014-01-31 20:46:54 UTC (rev 116630)
@@ -1,6 +1,6 @@
---- configure.orig 2013-12-20 08:15:32.000000000 -0800
-+++ configure 2013-12-20 15:02:06.000000000 -0800
-@@ -16556,9 +16556,9 @@
+--- configure.orig 2014-01-21 14:52:42.000000000 -0800
++++ configure 2014-01-29 14:54:13.000000000 -0800
+@@ -16457,9 +16457,9 @@
Modified: users/devans/GNOME-3/unstable/dports/gnome/gedit/files/patch-gedit-gedit-app.c.diff
===================================================================
--- users/devans/GNOME-3/unstable/dports/gnome/gedit/files/patch-gedit-gedit-app.c.diff 2014-01-31 19:55:02 UTC (rev 116629)
+++ users/devans/GNOME-3/unstable/dports/gnome/gedit/files/patch-gedit-gedit-app.c.diff 2014-01-31 20:46:54 UTC (rev 116630)
@@ -1,15 +1,15 @@
---- gedit/gedit-app.c.orig 2013-09-29 07:56:34.000000000 -0700
-+++ gedit/gedit-app.c 2013-11-03 01:37:41.000000000 -0800
-@@ -95,7 +95,7 @@
+--- gedit/gedit-app.c.orig 2014-01-11 05:54:03.000000000 -0800
++++ gedit/gedit-app.c 2014-01-31 12:12:54.000000000 -0800
+@@ -96,7 +96,7 @@
static gboolean new_window = FALSE;
static gboolean new_document = FALSE;
static gchar *geometry = NULL;
-static gboolean wait = FALSE;
+static gboolean gwait = FALSE;
+ static gboolean gapplication_service = FALSE;
static gboolean standalone = FALSE;
static gchar **remaining_args = NULL;
- static const GeditEncoding *encoding = NULL;
-@@ -161,7 +161,7 @@
+@@ -171,7 +171,7 @@
/* Wait for closing documents */
{
"wait", 'w', 0, G_OPTION_ARG_NONE,
@@ -18,7 +18,7 @@
N_("Open files and block process until files are closed"),
NULL
},
-@@ -753,7 +753,7 @@
+@@ -811,7 +811,7 @@
new_window = FALSE;
new_document = FALSE;
geometry = NULL;
@@ -27,3 +27,12 @@
standalone = FALSE;
remaining_args = NULL;
encoding = NULL;
+@@ -874,7 +874,7 @@
+ }
+ else
+ {
+- if (wait)
++ if (gwait)
+ {
+ command_line = cl;
+ }
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20140131/5f12ead9/attachment.html>
More information about the macports-changes
mailing list